<template>
    <el-input></el-input>
</template>

<script>
export default {
    name: "spcp-input",
    props:{
        code:{type:String,required:true}
    },
    data(){
        return{
            configDataAll:{}, // 所有配置数据对应的json对象
            configData:{},
        }},

    inject:['container'],

    watch:{
        code(){
            this.init();
        }
    },

    created(){
        this.init();
    },

    methods:{
        init(){
            this.configDataAll = this.container.configDataAll || {};
            this.configData = this.configDataAll[this.code];
            console.log(this.configData);
        }
    }
}


</script>

<style scoped>

</style>